GET /sites/$site/posts/$post_ID/reblogs/mine

Get Reblog status for a Post

Resource URL

Type URL and Format
GET https://public-api.wordpress.com/rest/v1/sites/$site/posts/$post_ID/reblogs/mine

Method Parameters

Parameter Type Description
$site (int|string) The site ID, The site domain
$post_ID (int) The post ID

Query Parameters

Parameter Type Description
http_envelope (bool)
false:
(default)
true:
Some enviroments (like in-browser Javascript or Flash) block or divert responses with a non-200 HTTP status code. Setting this parameter will force the HTTP status code to always be 200. The JSON response is wrapped in an "envelope" containing the "real" HTTP status code and headers.
pretty (bool)
false:
(default)
true:
Output pretty JSON
callback (string) An optional JSONP callback function.

Response Parameters

Parameter Type Description
is_reblogged (bool) Has the user reblogged this post?
meta (object) Meta data

Example

cURL

curl 'https://public-api.wordpress.com/rest/v1/sites/en.blog.wordpress.com/posts/7/reblogs/mine/?pretty=1'

PHP

<?php

$options  = array (
  'http' => 
  array (
    'ignore_errors' => true,
  ),
);

$context  = stream_context_create( $options );
$response = file_get_contents(
  'https://public-api.wordpress.com/rest/v1/sites/en.blog.wordpress.com/posts/7/reblogs/mine/?pretty=1',
  false,
  $context
);
$response = json_decode( $response );

?>

Response Body

{
    "error": "authorization_required",
    "message": "An active access token must be used to reblog a post."
}